CentOS 5.7 (Final) Yum Error

Issues related to software problems.
Yogesh_Choudhary
Posts: 1
Joined: 2017/06/26 08:19:58

CentOS 5.7 (Final) Yum Error

Postby Yogesh_Choudhary » 2017/06/26 08:35:09

Hi Team,

I am having production server Issue. We have Cent-OS 5.7 (Final) server In which I need to Update packages from YUM but whenever we run yum check-update command getting below Error. we need your help to resolve this issue.

[root@SDC ~]# yum check-update
Loaded plugins: fastestmirror
Determining fastest mirrors
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
Eg. Invalid release/
removing mirrorlist with no valid mirrors: /var/cache/yum/base/mirrorlist.txt
Error: Cannot find a valid baseurl for repo: base
[root@SDC ~]#

User avatar
TrevorH
Forum Moderator
Posts: 21158
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: CentOS 5.7 (Final) Yum Error

Postby TrevorH » 2017/06/26 08:49:40

5.7? Really? That's from 2011. You really need to yum update more often than every 6 years! There are (or were) security patches released all the time and you need to be putting them on in a timely manner not waiting 6 years.

CentOS 5 is DEAD. There is no more support for it. You need to move to a newer version and since CentOS 6 has gone into production phase 3 upstream and only critical security updates are being released, that really means CentOS 7.

You can modify your current /etc/yum.repos.d/CentOS-Base.repo file to point to the 5.11 directory on vault.centos.org and yum update to 5.11 but that is still dead and will receive no more security (or anything else) updates ever.

You still need to move to a supported version ASAP. CentOS 5 had 10 years of life and it's no longer supported.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke